gnutls_db_remove_session(3)

NAME
gnutls_db_remove_session - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_db_remove_session(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
This function will remove the current session data from the session database. This will prevent future handshakes reusing these session data. This function should be called if a session was terminated abnormally, and before gnutls_deinit() is called. Normally gnutls_deinit() will remove abnormally terminated sessions.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/